## fdsink fdsink |

## Properties

gint | fd | Read / Write

## Types and Values

struct | GstFdSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstFdSink

## Implemented Interfaces

GstFdSink implements GstURIHandler.

## Description

Write data to a unix file descriptor.

This element will synchronize on the clock before writing the data on the socket. For file descriptors where this does not make sense (files, ...) the “sync” property can be used to disable synchronisation.

## Synopsis

### Element Information

plugin | coreelements
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Sink/File

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstFdSink

    struct GstFdSink;

The opaque GstFdSink data structure.

## Property Details

### The `“fd”` property

      “fd”                       gint

An open file descriptor to write to.

Flags: Read / Write

Allowed values: >= 0

Default value: 1

## See Also

GstFdSrc